Subject: Re: Re: CYGWIN and rlogin - non inheritance of variable CYGWIN
From: arnaud GAND <[email-masked]>
To: [email-masked]
Date: Thu, 13 Dec 2001 15:45:05 +0000

>
>
>
>
> ------------------------------------------------------------------------
>
> Subject:
>
> Re: CYGWIN and rlogin - non inheritance of variable CYGWIN
> From:
>
> Corinna Vinschen <[email-masked]>
> Date:
>
> Wed, 12 Dec 2001 15:04:00 +0100
> To:
>
> [email-masked]
>
>
>On Wed, Dec 12, 2001 at 11:29:21AM +0000, arnaud GAND wrote:
>
>>Hi
>>
>>I use inetd with CYGWIN on NT4 station.
>>I configured inetd proprely (variable CYGWIN put to "binmode ntsec 
>>notty" and registry key as explained in the doc with same value).
>>
>>I need "notty" use of CYGWIN to run some NT programs.
>>
>>with system variable CYGWIN put to "binmode ntsec notty" i get those NT 
>>programs run well
>>but with rlogin (from IRIX station) they do not work and CYGWIN variable 
>>is not set.
>>
>
>That's weird.  I just had a look into the rlogind sources and
>actually started a rlogin session from my Linux box to the Windows
>box.  rlogind doesn't influence the environment except for the
>setting of $TERM.  All other env.vars including $CYGWIN are inherited
>from the parent process, inetd.  Inetd has the environment which
>is set in the system environment plus user env. if started under
>another user account as SYSTEM.
>
>Corinna
>
I fully apologize because my problem was that I did not restart my 
computer. When reading the doc,
I understood "form start on" as "from start on bash". Sorry. I made 
another tests with new system variables
and I found that these new system variables was not set in rlogin session.
So I reboot my NT4 station and now it's clear for me.I needed to reboot 
first my
computer before testing rlogin.

Thank you very much, it helped me focused further on this weird behaviour.

Arnaud

>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/